#ifndef __EMOS_EVENT_H__
#define __EMOS_EVENT_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
    EMOS_EVENT_DONT_USE,
    EMOS_EVENT_BSP2ATCMD,
    EMOS_EVENT_IDLE,
    EMOS_EVENT_100MS,
    EMOS_EVENT_LPUART1_RECV,
    EMOS_EVENT_URT0_RECV,
    EMOS_EVENT_URT1_RECV,
    EMOS_EVENT_URT2_RECV,
    EMOS_EVENT_URT3_RECV,
    EMOS_EVENT_URT4_RECV,
    EMOS_EVENT_USBURT_RECV,
    EMOS_EVENT_IIC_RECV,
    EMOS_EVENT_BLE_SEND,
    EMOS_EVENT_BLE_RECV,
    EMOS_EVENT_BLE_CONN,
    EMOS_EVENT_BLE_DISCONN,
    EMOS_EVENT_NFC_RECV,
    EMOS_EVENT_DBG_RECV,
    EMOS_EVENT_OWI_CRC_ERROR,
    EMOS_EVENT_TIMER0_TRIG,
    EMOS_EVENT_TIMER0_SHOT,
    EMOS_EVENT_TIMER0_EARLY,
    EMOS_EVENT_TIMER1_TRIG,
    EMOS_EVENT_TIMER1_SHOT,
    EMOS_EVENT_TIMER1_EARLY,
    EMOS_EVENT_GPIO14_TRIG,
    EMOS_EVENT_GPIO_TRIG,
    EMOS_EVENT_LORA_SEND,
    EMOS_EVENT_LORA_RECV,
    EMOS_EVENT_LORA_JOINED,
    EMOS_EVENT_LORAWAN_ERR,
    EMOS_EVENT_INIT_DONE,
    EMOS_EVENT_SLEEP,
    EMOS_EVENT_WAKEUP,
    EMOS_EVENT_TEST_MSG,
    EMOS_EVENT_END,
} EMOS_EVENT_ID_E;

extern void emos_hc_event_process(emos_task_msg_t *emos_task_msg_t);

#ifdef __cplusplus
}
#endif

#endif